|  | Home · All Classes · Modules

# QIconDragEvent Class Reference
[QtGui module]

The QIconDragEvent class indicates that a main icon drag has begun. More...

Inherits QEvent.

### Methods

- __init__ (self)
- __init__ (self, QIconDragEvent)

## Detailed Description

The QIconDragEvent class indicates that a main icon drag has begun.

Icon drag events are sent to widgets when the main icon of a window has been dragged away. On Mac OS X, this happens when the proxy icon of a window is dragged off the title bar.

It is normal to begin using drag and drop in response to this event.

## Method Documentation

### QIconDragEvent.__init__ (self)

Constructs an icon drag event object with the accept flag set to false.

See also accept().

### QIconDragEvent.__init__ (self, QIconDragEvent)